import React__default from 'react';

function Inline(_ref) {
  var _ref$spacing = _ref.spacing,
      spacing = _ref$spacing === void 0 ? 0 : _ref$spacing,
      children = _ref.children;
  var array = React__default.Children.toArray(children);
  var className = "flex flex-wrap -m-".concat(spacing);
  var childClassName = "pl-".concat(spacing, " pt-").concat(spacing);
  return /*#__PURE__*/React__default.createElement("div", {
    className: className
  }, array.map(function (child, index) {
    return /*#__PURE__*/React__default.createElement("div", {
      className: childClassName,
      key: index
    }, child);
  }));
}

export { Inline as default };
